routes/web.php
<?php

use App\Http\Controllers\BoxController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\SupplierController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect()->route('products.index');
});

Route::resources([
    'boxes' => BoxController::class,
    'products' => ProductController::class,
]);

Route::get('suppliers', [SupplierController::class, 'index'])->name('suppliers.index');

resources/views/includes/admin-footer.blade.php
<footer class="footer">
    <div class="container-fluid">
        <div class="copyright float-right">
            &copy;
            <script>
                document.write(new Date().getFullYear())
            </script>
            <a href="https://webforyou.eu/" target="_blank">WebForYou
            </a>
        </div>
    </div>
</footer>

resources/views/includes/admin-scripts.blade.php
{{--<!-- jQuery -->--}}
{{--<script src="{{asset('admin/vendors/jquery/dist/jquery.min.js')}}"></script>--}}
{{--<!-- Bootstrap -->--}}
{{--<script src="{{asset('admin/vendors/bootstrap/dist/js/bootstrap.min.js')}}"></script>--}}
{{--<!-- FastClick -->--}}
{{--<script src="{{asset('admin/vendors/fastclick/lib/fastclick.js')}}"></script>--}}
{{--<!-- NProgress -->--}}
{{--<script src="{{asset('admin/vendors/nprogress/nprogress.js')}}"></script>--}}
{{--<!-- iCheck -->--}}
{{--<script src="{{asset('admin/vendors/iCheck/icheck.min.js')}}"></script>--}}
{{--<!-- Chart.js -->--}}
{{--<script src="{{asset('admin/vendors/Chart.js/dist/Chart.min.js')}}"></script>--}}
{{--<!-- gauge.js -->--}}
{{--<script src="{{asset('admin/vendors/gauge.js/dist/gauge.min.js')}}"></script>--}}
{{--<!-- bootstrap-progressbar -->--}}
{{--<script src="{{asset('admin/vendors/bootstrap-progressbar/bootstrap-progressbar.min.js')}}"></script>--}}
{{--<!-- Skycons -->--}}
{{--<script src="{{asset('admin/vendors/skycons/skycons.js')}}"></script>--}}
{{--<!-- Flot -->--}}
{{--<script src="{{asset('admin/vendors/Flot/jquery.flot.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/Flot/jquery.flot.pie.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/Flot/jquery.flot.time.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/Flot/jquery.flot.stack.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/Flot/jquery.flot.resize.js')}}"></script>--}}
{{--<!-- Flot plugins -->--}}
{{--<script src="{{asset('admin/vendors/flot.orderbars/js/jquery.flot.orderBars.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/flot-spline/js/jquery.flot.spline.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/flot.curvedlines/curvedLines.js')}}"></script>--}}
{{--<!-- DateJS -->--}}
{{--<script src="{{asset('admin/vendors/DateJS/build/date.js')}}"></script>--}}
{{--<!-- JQVMap -->--}}
{{--<script src="{{asset('admin/vendors/jqvmap/dist/jquery.vmap.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/jqvmap/dist/maps/jquery.vmap.world.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/jqvmap/examples/js/jquery.vmap.sampledata.js')}}"></script>--}}
{{--<!-- bootstrap-daterangepicker -->--}}
{{--<script src="{{asset('admin/vendors/moment/min/moment.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/bootstrap-daterangepicker/daterangepicker.js')}}"></script>--}}
{{--<!-- Datatables -->--}}
{{--<script src="{{asset('admin/vendors/datatables.net/js/jquery.dataTables.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/datatables.net-bs/js/dataTables.bootstrap.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/datatables.net-buttons/js/dataTables.buttons.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/datatables.net-buttons-bs/js/buttons.bootstrap.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/datatables.net-buttons/js/buttons.flash.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/datatables.net-buttons/js/buttons.html5.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/datatables.net-buttons/js/buttons.print.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/datatables.net-fixedheader/js/dataTables.fixedHeader.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/datatables.net-keytable/js/dataTables.keyTable.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/datatables.net-responsive/js/dataTables.responsive.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/datatables.net-responsive-bs/js/responsive.bootstrap.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/datatables.net-scroller/js/dataTables.scroller.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/jszip/dist/jszip.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/pdfmake/build/pdfmake.min.js')}}"></script>--}}
{{--<script src="{{asset('admin/vendors/pdfmake/build/vfs_fonts.js')}}"></script>--}}
{{--<!-- validator -->--}}
{{--<script src="{{asset('admin//vendors/validator/validator.js')}}"></script>--}}

{{--<!-- Custom Theme Scripts -->--}}
{{--<script src="{{asset('admin/build/js/custom.min.js')}}"></script>--}}

{{--<!-- CK EDITOR-->--}}
{{--<script src="{{asset('vendor/unisharp/laravel-ckeditor/ckeditor.js')}}"></script>--}}
{{--<script>--}}
    {{--CKEDITOR.replace('txt-content');--}}
{{--</script>--}}

resources/views/includes/admin-sidebar.blade.php
<div class="sidebar" data-color="rose" data-background-color="black">
    <div class="logo text-center">
        <a href="{{route('products.index')}}" class="simple-text logo-normal">
            SNADNEE
        </a>
    </div>
    <div class="sidebar-wrapper">

        <ul class="nav">
            <li class="nav-item {{$mPage == 'product' ? 'active' : ''}} ">
                <a class="nav-link" data-toggle="collapse" href="#product">
                    <i class="material-icons">crop</i>
                    <p> Produkty
                        <b class="caret"></b>
                    </p>
                </a>
                <div class="collapse {{$mPage == 'product' ? 'show' : ''}}" id="product">
                    <ul class="nav">
                        <li class="nav-item {{$page == 'productIndex' ? 'active' : ''}}">
                            <a class="nav-link" href="{{route('products.index')}}">
                                <i class="material-icons">
                                    play_arrow
                                </i>
                                <span class="sidebar-normal"> Přehled produktů</span>
                            </a>
                        </li>
                        <li class="nav-item {{$page == 'productCreate' ? 'active' : ''}}">
                            <a class="nav-link" href="{{route('products.create')}}">
                                <i class="material-icons">
                                    play_arrow
                                </i>
                                <span class="sidebar-normal"> Vytvořit nový produkt </span>
                            </a>
                        </li>
                        @if($page == 'productEdit')
                            <li class="nav-item {{$page == 'productEdit' ? 'active' : ''}}">
                                <a class="nav-link" href="{{route('products.edit', $product->id)}}">
                                    <i class="material-icons">
                                        play_arrow
                                    </i>
                                    <span class="sidebar-normal"> Úprava produktu </span>
                                </a>
                            </li>
                        @endif
                        @if($page == 'productShow')
                            <li class="nav-item {{$page == 'productShow' ? 'active' : ''}}">
                                <a class="nav-link" href="{{route('products.show', $product->id)}}">
                                    <i class="material-icons">
                                        play_arrow
                                    </i>
                                    <span class="sidebar-normal"> Zobrazení produktu </span>
                                </a>
                            </li>
                        @endif
                    </ul>
                </div>
            </li>
            <li class="nav-item {{$mPage == 'box' ? 'active' : ''}} ">
                <a class="nav-link" data-toggle="collapse" href="#box">
                    <i class="material-icons">crop</i>
                    <p> Bedýnky
                        <b class="caret"></b>
                    </p>
                </a>
                <div class="collapse {{$mPage == 'box' ? 'show' : ''}}" id="box">
                    <ul class="nav">
                        <li class="nav-item {{$page == 'boxIndex' ? 'active' : ''}}">
                            <a class="nav-link" href="{{route('boxes.index')}}">
                                <i class="material-icons">
                                    play_arrow
                                </i>
                                <span class="sidebar-normal"> Přehled bedýnek </span>
                            </a>
                        </li>
                        <li class="nav-item {{$page == 'boxCreate' ? 'active' : ''}}">
                            <a class="nav-link" href="{{route('boxes.create')}}">
                                <i class="material-icons">
                                    play_arrow
                                </i>
                                <span class="sidebar-normal"> Vytvořit bedínku </span>
                            </a>
                        </li>
                        @if($page == 'boxEdit')
                            <li class="nav-item {{$page == 'boxEdit' ? 'active' : ''}}">
                                <a class="nav-link" href="{{route('boxes.edit', $box->id)}}">
                                    <i class="material-icons">
                                        play_arrow
                                    </i>
                                    <span class="sidebar-normal">Úprava bedínky</span>
                                </a>
                            </li>
                        @endif
                        @if($page == 'boxShow')
                            <li class="nav-item {{$page == 'boxShow' ? 'active' : ''}}">
                                <a class="nav-link" href="{{route('boxes.show', $box->id)}}">
                                    <i class="material-icons">
                                        play_arrow
                                    </i>
                                    <span class="sidebar-normal">Zobrazení bedínky</span>
                                </a>
                            </li>
                        @endif
                    </ul>
                </div>
            </li>
            <li class="nav-item {{$mPage == 'supplier' ? 'active' : ''}} ">
                <a class="nav-link" data-toggle="collapse" href="#supplier">
                    <i class="material-icons">crop</i>
                    <p> Dodavatelé
                        <b class="caret"></b>
                    </p>
                </a>
                <div class="collapse {{$mPage == 'supplier' ? 'show' : ''}}" id="supplier">
                    <ul class="nav">
                        <li class="nav-item {{$page == 'supplierIndex' ? 'active' : ''}}">
                            <a class="nav-link" href="{{route('suppliers.index')}}">
                                <i class="material-icons">
                                    play_arrow
                                </i>
                                <span class="sidebar-normal"> Přehled dodavatelů </span>
                            </a>
                        </li>
                    </ul>
                </div>
            </li>
        </ul>
    </div>
</div>

resources/views/includes/admin-style.blade.php
<!-- Bootstrap -->
<link href="{{asset('admin/vendors/bootstrap/dist/css/bootstrap.min.css')}}" rel="stylesheet">
<!-- Font Awesome -->
<link href="{{asset('admin/vendors/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet">
<!-- NProgress -->
<link href="{{asset('admin/vendors/nprogress/nprogress.css')}}" rel="stylesheet">
<!-- iCheck -->
<link href="{{asset('admin/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">

<!-- bootstrap-progressbar -->
<link href="{{asset('admin/vendors/bootstrap-progressbar/css/bootstrap-progressbar-3.3.4.min.css')}}" rel="stylesheet">
{{--<!-- JQVMap -->--}}
{{--<link href="{{asset('admin/vendors/jqvmap/dist/jqvmap.min.css')}}" rel="stylesheet"/>--}}
{{--<!-- bootstrap-daterangepicker -->--}}
{{--<link href="{{asset('admin/vendors/bootstrap-daterangepicker/daterangepicker.css')}}" rel="stylesheet">--}}
<!-- Select2 -->
<link href="{{asset('admin/vendors/select2/dist/css/select2.min.css')}}" rel="stylesheet">
<!-- Switchery -->
<link href="{{asset('admin/vendors/switchery/dist/switchery.min.css')}}" rel="stylesheet">
<!-- starrr -->
<link href="{{asset('admin/vendors/starrr/dist/starrr.css')}}" rel="stylesheet">
<!-- Datatables -->
<link href="{{asset('admin/vendors/datatables.net-bs/css/dataTables.bootstrap.min.css')}}" rel="stylesheet">
<link href="{{asset('admin/vendors/datatables.net-buttons-bs/css/buttons.bootstrap.min.css')}}" rel="stylesheet">
<link href="{{asset('admin/vendors/datatables.net-fixedheader-bs/css/fixedHeader.bootstrap.min.css')}}" rel="stylesheet">
<link href="{{asset('admin/vendors/datatables.net-responsive-bs/css/responsive.bootstrap.min.css')}}" rel="stylesheet">
<link href="{{asset('admin/vendors/datatables.net-scroller-bs/css/scroller.bootstrap.min.css')}}" rel="stylesheet">
<!-- PNotify -->
<link href="{{asset('admin/vendors/pnotify/dist/pnotify.css')}}" rel="stylesheet">
<link href="{{asset('admin/vendors/pnotify/dist/pnotify.buttons.css')}}" rel="stylesheet">
<link href="{{asset('admin/vendors/pnotify/dist/pnotify.nonblock.css')}}" rel="stylesheet">

<!-- Custom Theme Style -->
<link href="{{asset('admin/build/css/custom.min.css')}}" rel="stylesheet">

resources/views/includes/admin-topbar.blade.php
<!-- Navbar -->
<nav class="navbar navbar-expand-lg navbar-transparent navbar-absolute fixed-top " id="navigation-example">
    <div class="container-fluid">
        <div class="navbar-wrapper">

            {{--<a class="navbar-brand" href="#pablo">Název stránky</a>--}}
        </div>
        <button class="navbar-toggler" type="button" data-toggle="collapse" aria-controls="navigation-index" aria-expanded="false" aria-label="Toggle navigation" data-target="#navigation-example">
            <span class="sr-only">Toggle navigation</span>
            <span class="navbar-toggler-icon icon-bar"></span>
            <span class="navbar-toggler-icon icon-bar"></span>
            <span class="navbar-toggler-icon icon-bar"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-end">
            <ul class="navbar-nav">

                <li class="nav-item">
                </li>
            </ul>
        </div>
    </div>
</nav>